echo off

cd %VAR%
..\..\..\util\setconsole.exe /reset
echo.
echo Press 1 to play Geisha using DOSBox
echo Press 2 to play Geisha using ScummVM
echo.
..\..\..\util\choice /C:12 /N Please Choose:

if errorlevel = 2 goto scummvm
if errorlevel = 1 goto dosbox

:dosbox
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
".\emulators\dosbox\%dosbox%" -conf "%var%\dosbox.conf" -conf ".\emulators\dosbox\options.conf" -conf %conf% -noconsole -exit -nomenu
del stdout.txt
del stderr.txt
if exist glide.* del glide.*
if exist .\eXoDOS\CWSDPMI.swp del .\eXoDOS\CWSDPMI.swp
goto end

:scummvm
..\..\..\util\setconsole.exe /minimize
cd ..
cd ..
cd ..
cls
".\emulators\scummvm\scummvm.exe" --no-console -F -g3x --aspect-ratio -p.\eXoDOS\geisha\ geisha
goto end

:end